import { ref, unref, computed } from "vue";
import { defineStore } from "pinia";

const dropdown = [
  {
    text: "专家问答",
    url: "/pages/index/index"
  },
  {
    text: "水质报警",
    url: "/pages/index/index"
  }
]

export const useChatStore = defineStore(
  "chat",
  () => {
    
    const dropdownList = ref(dropdown);
    const titleActiveIndex = ref(0);

    const title = computed(() => dropdownList.value[unref(titleActiveIndex)].text);

    return {
      dropdownList,
      titleActiveIndex,
      title,
    };
  }
);
